﻿using Syncfusion.DataSource;
using Syncfusion.ListView.XForms;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace SfListViewSample
{
    public partial class MainPage : ContentPage
    {
        #region Constructor
        public MainPage()
        {
            InitializeComponent();
        }
        #endregion

        #region Events

        private void Switch_Toggled(object sender, ToggledEventArgs e)
        {
            var toggle = sender as Switch;
            var contact = toggle.BindingContext as Contacts;

            if (contact.IsChecked && !ViewModel.CheckedItems.Contains(contact))
                ViewModel.CheckedItems.Add(contact);
            else if (!contact.IsChecked)
                ViewModel.CheckedItems.Remove(contact);
        }

        #endregion
    }
}
